//*********************************************
//         SHADER
//*********************************************
//	ID		:	common+.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
textures/common/areaportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}
textures/common/caulk
{	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common/clip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/common/clusterportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}
textures/common/cushion
{	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/common/donotenter
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}
// never used
//
//textures/common/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}
textures/common/full_clip // silly shader, use weapclip instead
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}
textures/common/hint // should NOT use surfaceparm hint.. strange but true
{	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}
textures/common/invisible // solid, transparent polygons, casts shadows
{	surfaceparm nolightmap			
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
textures/common/mirror1
{	qer_editorimage textures/common/qer_mirror.tga.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/common/shadow.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}
textures/common/mirror2
{	qer_editorimage textures/common/qer_mirror.tga.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/shadow.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/common/shadow.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}
textures/common/missileclip
{	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}
textures/common/nodraw
{	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}
textures/common/nodrawnonsolid
{	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}
textures/common/nodrop
{	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}
textures/common/noimpact
{	qer_editorimage textures/common/nolightmap.tga
	surfaceparm noimpact
}
textures/common/nolightmap
{	surfaceparm nolightmap
}
textures/common/origin
{	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}
textures/common/portal
{	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}
textures/common/slick
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}
textures/common/terrain
{	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common/terrain2
{	q3map_terrain
	qer_editorimage textures/common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}
textures/common/timportal
{	qer_editorimage textures/common/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/common/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}
textures/common/trigger
{	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/common/weapclip
{	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}
textures/common/metalclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}
textures/common/botclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}
//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//
textures/common/lightgrid
{	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}
textures/common/ladder
{	qer_trans 0.5
	qer_editorimage textures/common/ladder.blend.tga
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/ut_swim/pool
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}
textures/common/cel
{	qer_editorimage textures/common/shadow.blend.tga
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -1.0
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 16
	{	map textures/common/shadow.blend.tga
		rgbGen identity
	}
}
textures/common/error
{	qer_trans 1
	qer_editorimage textures/common/error.blend.tga
	surfaceparm nolightmap
	{	map textures/common/error.blend.tga
	}
}
textures/common/jump-pad
{	qer_trans 0.5
	qer_editorimage textures/common/jump-pad.blend.tga
	qer_nocarve
	surfaceparm nodraw
}
textures/common/liquid
{	qer_trans 0.1
	qer_editorimage textures/common/liquid.blend.tga
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/common/nonsolid
{	qer_trans 0.1
	qer_editorimage textures/common/nonsolid.blend.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/common/nothing
{	qer_trans 0.1
	qer_editorimage textures/common/nothing.blend.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common/nodamage
{	qer_trans 0.1
	qer_editorimage textures/common/nodamage.blend.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/common/shadow
{	qer_trans 1
	qer_editorimage textures/common/shadow.blend.tga
	surfaceparm nolightmap
	surfaceparm nomarks
}